| Home | Libraries | People | FAQ | More

###### ipv4_address::ipv4_address (5 of 5 overloads)

Construct from a string.

###### Synopsis

    ipv4_address(
        core::string_view s);

###### Description

This function constructs an address from the string `s`, which must contain a valid IPv4 address string or else an exception is thrown.

###### Remarks

For a non-throwing parse function, use `parse_ipv4_address`.

###### Exception Safety

Exceptions thrown on invalid input.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | The input failed to parse correctly.

###### Parameters

Name | Description
--- | ---
`s` | The string to parse.

###### Specification

- 3.2.2. Host (rfc3986)

###### See Also

`parse_ipv4_address`.